> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 图片 API 概览

> 选择受支持的图片模型系列，使用对应的生成或编辑请求格式。

构造请求前先选择图片模型系列，按对应接口页面使用该模型的请求格式与字段。

## 图片接口

| 系列 | 生成 | 编辑 | 请求格式 |
| - | - | - | - |
| GPT Image | [GPT Image](/zh-hans/api-reference/endpoint/gpt-image) | [图片编辑](/zh-hans/api-reference/endpoint/gpt-image-edit) | 生成使用 JSON，编辑使用 multipart/form-data。 |
| Grok Imagine | [Grok Imagine](/zh-hans/api-reference/endpoint/grok-imagine-image) | [图片编辑](/zh-hans/api-reference/endpoint/grok-imagine-edit) | 生成、编辑均使用 JSON，图片引用使用原生对象。 |
| Qwen Image | [Qwen Image](/zh-hans/api-reference/endpoint/qwen-image) | [图片编辑](/zh-hans/api-reference/endpoint/qwen-image-edit) | 基础生成使用 `input.prompt`，多模态生成/编辑使用 `input.messages`；均包含 `model` 与 `parameters`。 |
| Gemini | [Gemini](/zh-hans/api-reference/endpoint/nano-banana) | [原生图片编辑](/zh-hans/api-reference/endpoint/nano-banana) | `contents`, `generationConfig` |

[Gemini 流式请求](/zh-hans/api-reference/endpoint/nano-banana-stream)

## 可用模型 ID

| 系列 | 模型 ID |
| - | - |
| GPT Image | `gpt-image-2.5-sunburst`, `gpt-image-2.5-flare`, `gpt-image-2`, `gpt-image-1.5`, `gpt-image-1` |
| Grok Imagine | `grok-imagine-image-2.0`, `grok-imagine-image-quality`, `grok-imagine-image` |
| Qwen Image | `qwen-image-2.0-pro`, `qwen-image-2.0`, `qwen-image-max`, `qwen-image-plus`, `qwen-image`, `qwen-image-edit-max`, `qwen-image-edit-plus`, `qwen-image-edit` |
| Gemini | `gemini-nano-banana-2.1`, `gemini-3.1-flash-image`, `gemini-3.1-flash-image-preview`, `gemini-3-pro-image`, `gemini-3-pro-image-preview`, `gemini-3.1-flash-lite-image`, `gemini-2.5-flash-image` |

账号可见模型通过 [`GET /v1/models`](/zh-hans/api-reference/endpoint/list-models) 获取。能接收图片输入的模型不一定能生成图片，请按系列页面选择支持图片输出的型号及请求格式。

## 认证

```bash theme={null}
curl "https://api.mixroute.ai/v1/models" \
  --header "Authorization: Bearer $MIXROUTE_API_KEY"
```

使用账号返回的完整模型 ID。可用性和计费取决于所选路由，账号信息以模型广场为准。不要跨系列复用 size、quality、输入图片或响应格式字段。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.